<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY % fmsentities PUBLIC
   "Museosuomi//ENTITIES Namespaces//EN//XML"
   "fmsentities.pen">
   %fmsentities;
]>
<!--

    File CVS Id: $Id: mobileMail.xslt,v 1.2 2004/03/19 12:37:03 jiemakel Exp $   
    This file is created by the Semantic Computing Research Group as a
    part of the Semantic Web project in 2002-2004 at Helsinki Institute
    for Information Technology (HIIT) and University of Helsinki.

    Group homepage: http://www.cs.helsinki.fi/group/seco/

-->
<xsl:stylesheet version="1.0" xmlns:page="&page;" xmlns:bm="&bm;" xmlns:fms="&fms;" xmlns:html="&html;" xmlns:java="&java;" xmlns:ogt="&ogt;" xmlns:owl="&owl;" xmlns:rdf="&rdf;" xmlns:rdfs="&rdfs;" xmlns:swhg="&swhg;" xmlns:ui="&ui;" xmlns:uim="&uim;" xmlns:xsd="&xsd;" xmlns:xsl="&xsl;" xmlns:i18n="&i18n;" xmlns:query="&query;">
    <xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="iso-8859-1" indent="yes" media-type="text/xml" method="xml" omit-xml-declaration="no" standalone="yes" version="1.0"/>

	<xsl:include href="xhtmlHelper.xslt" />
    
    <!-- Root match -->
    <xsl:template match="rdf:RDF">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title>
                    <i18n:text>MuseoSuomi</i18n:text>
                </title>
                <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type"/>
                <meta content="text/css" http-equiv="Content-Style-Type"/>
                <meta content="Semantic Web" name="description" i18n:attr="content"/>
                <meta content="Semantic web, fmsweb" name="keywords" i18n:attr="content"/>
<!--                <link href="/content/stylesheets/mobile.css" rel="stylesheet" title="FMS-stylesheet basic" type="text/css"/> -->
                <style>
                    body {
                        font-size:medium;
                    }
                    h3,h4 {
                        font-size:large;
                        font-weight:bold;
                    }
.actions
{
    margin-top: 8pt;
    margin-bottom: 5pt;
    text-align:center;
    width:100%;
}
                    
.pagination, .groupBy, .showAll, .remove, .showTree, .action, .more
{
    color: black;
    font-weight: bold;
    font-size: medium;
    text-decoration: none;
    margin: 0pt;
}

.pagination :link, .groupBy :link, .showAll :link, .remove :link, .showTree :link, .action :link, .more :link,
.pagination :visited, .groupBy :visited, .showAll :visited, .remove :visited, .showTree :visited, .action :visited, .more :visited
{
    font-weight: bold;
    font-size: medium;
    color: #048;
    text-decoration: none;
}

.pagination :hover, .groupBy :hover, .showAll :hover, .remove :hover, .showTree :hover, .action :hover
{
    color: #06c;
    text-decoration: underline;
}
.filtered
{
    color: gray;
    font-size:medium;
}
.header 
{
    width: 100%;
    background-color: #abb;
    clear: both;
}
.constraintContainer
{
    border-width: thin;
    border-color: black;
    border-style: solid;
    background-color: #abb;
}
                   
                </style>
            </head>
            <body>
                <form action="/{/rdf:RDF/ui:UState/ui:lastPage}" method="post">
                                Vastaanottaja:<br/>
                                <input type="text" name="mailto" size="23"/><br/>
                                Otsikko:<br/>
                                <input type="text" name="subject" size="23" value="MuseoSuomi kirjanmerkki"/><br/>
                                Viesti:<br/>
                                <textarea name="message" cols="23" rows="10">
                                    <xsl:call-template name="uri"/>
                                </textarea><br/>
                    <input type="submit" value="Lähetä"/>
                    <xsl:call-template name="fustate"/>
                    <xsl:call-template name="fgroupBy"/>
                </form>
            </body>
        </html>
    </xsl:template>     

    <xsl:template name="uri">
        <xsl:text>http://museosuomi.cs.helsinki.fi/</xsl:text>
        <xsl:value-of select="/rdf:RDF/ui:UState/ui:lastPage"/><xsl:text>?</xsl:text>
        <xsl:value-of select="$ustate"/>
        <xsl:value-of select="$tstate"/>
        <xsl:value-of select="$groupBy"/>
        <xsl:if test="/rdf:RDF/ui:UState/ui:selectedBookmark/@rdf:resource">
            <xsl:text>&amp;sb=</xsl:text>
            <xsl:value-of select="java:net.URLEncoder.encode(/rdf:RDF/ui:UState/ui:selectedBookmark/@rdf:resource)"/>
        </xsl:if>
    </xsl:template>   
</xsl:stylesheet>